heaps_slot Struct Reference

## Data Fields

void * | membase
RVALUE * | slot
size_t | limit
struct heaps_slot * | next
struct heaps_slot * | prev

## Detailed Description

Definition at line 303 of file gc.c.

## Field Documentation

size_t heaps_slot::limit

Definition at line 306 of file gc.c.

Referenced by count_objects(), finalize_list(), free_unused_heaps(), objspace_each_objects(), and slot_sweep().

void* heaps_slot::membase

Definition at line 304 of file gc.c.

Referenced by assign_heap_slot(), free_unused_heaps(), objspace_each_objects(), and rb_objspace_free().

struct heaps_slot* heaps_slot::next

Definition at line 307 of file gc.c.

Referenced by assign_heap_slot(), gc_sweep(), lazy_sweep(), and unlink_heap_slot().

struct heaps_slot* heaps_slot::prev

Definition at line 308 of file gc.c.

Referenced by unlink_heap_slot().

RVALUE* heaps_slot::slot

Definition at line 305 of file gc.c.

Referenced by assign_heap_slot(), finalize_list(), objspace_each_objects(), and slot_sweep().

The documentation for this struct was generated from the following file:

- gc.c